0

After upgrading to emacs 27 with

brew install emacs --HEAD

When starting elfeed with

C-x w

I get

elfeed-db-load: Wrong type argument: avl-tree-, [cl-struct-avl-tree- [[[[[[[[[[[[[nil nil ... 0] [nil nil ... 0]\
 ... 0] [[nil nil ... 0] [nil nil ... 0] ... 0] ... 0] [[[nil nil ... 0] [nil nil ... 0] ... 0] [nil [nil nil ..\
. 0] ... 1] ... 0] ... 0] [[[[nil nil ... 0] nil ... -1] [[nil nil ... 0] [nil nil ... 0] ... 0] ... 0] [[[nil n\
il ... 0] [nil nil ... 0] ... 0] [[nil nil ... 0]
...   -1] nil nil 0] elfeed-db-compare]

Any ideas how to make elfeed work? This used to work in emacs 25

  • I don't use elfeed, but usually incompatibilities in underlying data types and macros from version to version can be solved by recompiling the source. Have you tried reinstalling elfeed? – Basil Jan 24 '18 at 16:30
0

Just do this

rm ~/.emacs.d/elpa/elfeed-20180115.2112/*.elc

|improve this answer|||||
  • Better yet: M-x package-reinstall RET elfeed RET. – Basil Jan 24 '18 at 16:31
0

It is problem with the elfeed-db after the emacs internals have changed in v. 26. See https://github.com/skeeto/elfeed/issues/207.

The database needs to be rebuild. I ran rm -rf ~/.elfeed/ and restarted emacs to purge memory.

|improve this answer|||||

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.